## Importing Conda Environment:

conda env create -f onnx\_environment.yml

## Activate/deactivate Conda Environment

conda activate onnx\_frontend

## Building and Installing Frontend for ONNX:

python setup.py build

python setup.py install

### How to Run
```
python main.py
```
Set all your config, e.g. onnx model location, input size and emit directory for generated source code, in **config.py**.

### Resources
1. [ONNX overview](https://github.com/onnx/onnx/blob/master/docs/IR.md)
2. [ONNX operator specs](https://github.com/onnx/onnx/blob/master/docs/Operators.md)
3. [Conversion between models - available adapters](https://github.com/onnx/onnx/blob/master/onnx/version_converter.py#L21)
4. 