from setuptools import setup

setup(
    name="torch2hpvm",
    version="1.0",
    description="PyTorch frontend for HPVM",
    author="Yuanjing Shi, Yifan Zhao",
    author_email="ys26@illinois.edu, yifanz16@illinois.edu",
    packages=["torch2hpvm"],
    install_requires=["jinja2>=2.11", "networkx>=2.5", "onnx>=1.8.0", "torch"],
    entry_points={"console_scripts": ["torch2hpvm=torch2hpvm:main"]},
)
